Skip to main content
GET
Retrieve a Custom Integration

Usage

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

uid
string
required

The UID of the Custom Integration

Response

Successful

uid
string
read-only

The UID of the Custom Integration

name
string

The Custom Integration name, unique within the company

api_doc_url
string | null

Link to the documentation of the API this integration calls

auth_method
enum<string>

How the secret authenticates requests: bearer_token (Authorization: Bearer <secret>), api_key (<auth_header_name>: <secret>), basic_auth (Authorization: Basic base64(<auth_username>:<secret>)), or none

Available options:
api_key,
basic_auth,
bearer_token,
none
auth_header_name
string | null

Header carrying the secret. Required when auth_method is api_key.

auth_username
string | null

Username combined with the secret. Required when auth_method is basic_auth.

custom_headers
object[]

HTTP headers sent with every request of the integration Custom Actions

logo_url
string | null
read-only

URL of the integration logo

status
enum<string>
read-only
Available options:
active,
deactivated,
errored,
initial,
pending_configuration,
synchronizable,
waiting_for_data
created_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")

updated_at
string<date-time>
read-only

datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")